using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.String;

namespace XYY.Service.Standard.ChannelApi.JD
{
    public static class SignHelper
    {
        public static string CreateSign(string paramJson, string app_secret, string access_token,string app_key,string method,string timeStamp,string v="2.0")
        {
            string raw = $"{app_secret}access_token{access_token}app_key{app_key}method{method}param_json{paramJson}timestamp{timeStamp}v{v}{app_secret}";
            var md5 = Encryption.Md532(raw);
            var upperMd5 = md5.ToUpper();
            return upperMd5;
        }
    }
}
